<%@ page language="java" contentType="text/html; charset=utf-8"%>
<%@ page import="java.io.*"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ include file="/jsp/common/include/localemessage.jsp" %>
<%
	response.setHeader("Pragma", "No-cache");
	response.setHeader("Cache-Control", "no-cache");
	response.setHeader("Expires", "0");
%>
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<jsp:include page="/jsp/common/include/css.jsp"/>
<jsp:include page="/jsp/common/include/script.jsp"/>
<style type="text/css">
	.img_pointer { cursor:pointer; }
</style>
<script type="text/javascript">
$(document).ready(function() {
	$("input[name=cmDate]").inputmask("yyyy-mm-dd",{'autoUnmask':true}).val(getToday());
	$("input[name=cmTime]").inputmask("hh:mm:ss",{'autoUnmask':true}).val('10:00:00');
	$('#btn_operate').click(operate);
	$("#btn_close").click(function(){
		window.close();
	});
});

function operate() {
	if (jQuery.trim($(':text[name=cmDate]').val()) == '') {
		alert('적용 요청일은 필수 항목입니다.');
		return;
	}
	if (jQuery.trim($(':text[name=cmTime]').val()) == '') {
		alert('적용 요청 시간은 필수 항목입니다.');
		return;
	}
	if (confirm('CM 적용하시겠습니까?')) {
		var value = {
			'CmDate': $(':text[name=cmDate]').val(),
			'CmTime': $(':text[name=cmTime]').val(),
		}
		window.returnValue = value;
		window.close();
	}
}

</script>
</head>
	<body>
		<div class="popup_box">
			<div class="search_wrap">
					<img src="<c:url value="/img/btn_operate.png"/>" alt="" id="btn_operate" level="W" status="DETAIL,NEW" />				
					<img src="<c:url value="/img/btn_close.png"/>" alt="" id="btn_close" level="R" status="DETAIL,NEW"/>	
			</div>
			<div class="title">CM 적용설정 화면</div>
			<form id="ajaxForm">
				<table class="table_row" cellspacing="0">
					<tr>
						<th style="width:20%;">적용요청일</th>
						<td><input type="text"  name="cmDate"/></td>
					</tr>
					<tr>
						<th>적용요청시간</th>
						<td><input type="text"  name="cmTime"/></td>
					</tr>
				</table>
			</form>
		</div><!-- end.popup_box -->
	</body>
</html>